class ParameterList(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
class ParameterDict(Module):
  __parameters__ = ["model->classifier->bias", "model->classifier->weight", "model->bert->embeddings->LayerNorm->bias", "model->bert->pooler->dense->weight", "w4", "model->bert->embeddings->LayerNorm->weight", "w6", "w7", "w8", "w9", "w10", "w11", "model->bert->encoder->layer->0->attention->output->LayerNorm->weight", "w13", "w14", "w15", "w16", "w17", "w18", "model->bert->encoder->layer->0->output->LayerNorm->weight", "w20", "w21", "w22", "w23", "w24", "w25", "model->bert->encoder->layer->1->attention->output->LayerNorm->weight", "w27", "w28", "w29", "w30", "w31", "w32", "model->bert->encoder->layer->1->output->LayerNorm->weight", "w34", "w35", "w36", "w37", "w38", "w39", "model->bert->encoder->layer->2->attention->output->LayerNorm->weight", "w41", "w42", "w43", "w44", "w45", "w46", "model->bert->encoder->layer->2->output->LayerNorm->weight", "w48", "w49", "w50", "w51", "w52", "w53", "model->bert->encoder->layer->3->attention->output->LayerNorm->weight", "w55", "w56", "w57", "w58", "w59", "w60", "model->bert->encoder->layer->3->output->LayerNorm->weight", "w62", "w63", "w64", "w65", "w66", "w67", "model->bert->encoder->layer->4->attention->output->LayerNorm->weight", "w69", "w70", "w71", "w72", "w73", "w74", "model->bert->encoder->layer->4->output->LayerNorm->weight", "w76", "w77", "w78", "w79", "w80", "w81", "model->bert->embeddings->position_embeddings->weight", "w83", "model->bert->embeddings->token_type_embeddings->weight", "model->bert->embeddings->word_embeddings->weight", "model->bert->encoder->layer->0->attention->self->query->bias", "w87", "model->bert->encoder->layer->0->attention->self->key->bias", "model->bert->encoder->layer->0->attention->output->dense->weight", "w90", "model->bert->encoder->layer->0->attention->self->value->bias", "model->bert->encoder->layer->0->attention->self->value->weight", "w93", "w94", "w95", "w96", "w97", "w98", "model->bert->encoder->layer->0->attention->output->dense->bias", "model->bert->encoder->layer->0->attention->self->key->weight", "w101", "model->bert->encoder->layer->0->attention->output->LayerNorm->bias", "model->bert->encoder->layer->0->attention->self->query->weight", "model->bert->encoder->layer->0->output->dense->bias", "w105", "model->bert->encoder->layer->0->output->LayerNorm->bias", "model->bert->encoder->layer->0->output->dense->weight", "w108", "model->bert->encoder->layer->0->intermediate->dense->bias", "model->bert->encoder->layer->0->intermediate->dense->weight", "model->bert->encoder->layer->1->attention->self->query->bias", "w112", "model->bert->encoder->layer->1->attention->self->key->bias", "model->bert->encoder->layer->1->attention->output->dense->weight", "w115", "model->bert->encoder->layer->1->attention->self->value->bias", "model->bert->encoder->layer->1->attention->self->value->weight", "w118", "w119", "w120", "model->bert->encoder->layer->1->attention->output->dense->bias", "model->bert->encoder->layer->1->attention->self->key->weight", "w123", "model->bert->encoder->layer->1->attention->output->LayerNorm->bias", "model->bert->encoder->layer->1->attention->self->query->weight", "model->bert->encoder->layer->1->output->dense->bias", "w127", "model->bert->encoder->layer->1->output->LayerNorm->bias", "model->bert->encoder->layer->1->output->dense->weight", "w130", "model->bert->encoder->layer->1->intermediate->dense->bias", "model->bert->encoder->layer->1->intermediate->dense->weight", "model->bert->encoder->layer->2->attention->self->query->bias", "w134", "model->bert->encoder->layer->2->attention->self->key->bias", "model->bert->encoder->layer->2->attention->output->dense->weight", "w137", "model->bert->encoder->layer->2->attention->self->value->bias", "model->bert->encoder->layer->2->attention->self->value->weight", "w140", "w141", "w142", "model->bert->encoder->layer->2->attention->output->dense->bias", "model->bert->encoder->layer->2->attention->self->key->weight", "w145", "model->bert->encoder->layer->2->attention->output->LayerNorm->bias", "model->bert->encoder->layer->2->attention->self->query->weight", "model->bert->encoder->layer->2->output->dense->bias", "w149", "model->bert->encoder->layer->2->output->LayerNorm->bias", "model->bert->encoder->layer->2->output->dense->weight", "w152", "model->bert->encoder->layer->2->intermediate->dense->bias", "model->bert->encoder->layer->2->intermediate->dense->weight", "model->bert->encoder->layer->3->attention->self->query->bias", "w156", "model->bert->encoder->layer->3->attention->self->key->bias", "model->bert->encoder->layer->3->attention->output->dense->weight", "w159", "model->bert->encoder->layer->3->attention->self->value->bias", "model->bert->encoder->layer->3->attention->self->value->weight", "w162", "w163", "w164", "model->bert->encoder->layer->3->attention->output->dense->bias", "model->bert->encoder->layer->3->attention->self->key->weight", "w167", "model->bert->encoder->layer->3->attention->output->LayerNorm->bias", "model->bert->encoder->layer->3->attention->self->query->weight", "model->bert->encoder->layer->3->output->dense->bias", "w171", "model->bert->encoder->layer->3->output->LayerNorm->bias", "model->bert->encoder->layer->3->output->dense->weight", "w174", "model->bert->encoder->layer->3->intermediate->dense->bias", "model->bert->encoder->layer->3->intermediate->dense->weight", "model->bert->encoder->layer->4->attention->self->query->bias", "w178", "model->bert->encoder->layer->4->attention->self->key->bias", "model->bert->encoder->layer->4->attention->output->dense->weight", "w181", "model->bert->encoder->layer->4->attention->self->value->bias", "model->bert->encoder->layer->4->attention->self->value->weight", "w184", "w185", "w186", "model->bert->encoder->layer->4->attention->output->dense->bias", "model->bert->encoder->layer->4->attention->self->key->weight", "w189", "model->bert->encoder->layer->4->attention->output->LayerNorm->bias", "model->bert->encoder->layer->4->attention->self->query->weight", "model->bert->encoder->layer->4->output->dense->bias", "w193", "model->bert->encoder->layer->4->output->LayerNorm->bias", "model->bert->encoder->layer->4->output->dense->weight", "w196", "model->bert->encoder->layer->4->intermediate->dense->bias", "model->bert->encoder->layer->4->intermediate->dense->weight", "model->bert->pooler->dense->bias", ]
  __buffers__ = []
  __annotations__ = []
  __annotations__["model->classifier->bias"] = Tensor
  __annotations__["model->classifier->weight"] = Tensor
  __annotations__["model->bert->embeddings->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->pooler->dense->weight"] = Tensor
  w4 : Tensor
  __annotations__["model->bert->embeddings->LayerNorm->weight"] = Tensor
  w6 : Tensor
  w7 : Tensor
  w8 : Tensor
  w9 : Tensor
  w10 : Tensor
  w11 : Tensor
  __annotations__["model->bert->encoder->layer->0->attention->output->LayerNorm->weight"] = Tensor
  w13 : Tensor
  w14 : Tensor
  w15 : Tensor
  w16 : Tensor
  w17 : Tensor
  w18 : Tensor
  __annotations__["model->bert->encoder->layer->0->output->LayerNorm->weight"] = Tensor
  w20 : Tensor
  w21 : Tensor
  w22 : Tensor
  w23 : Tensor
  w24 : Tensor
  w25 : Tensor
  __annotations__["model->bert->encoder->layer->1->attention->output->LayerNorm->weight"] = Tensor
  w27 : Tensor
  w28 : Tensor
  w29 : Tensor
  w30 : Tensor
  w31 : Tensor
  w32 : Tensor
  __annotations__["model->bert->encoder->layer->1->output->LayerNorm->weight"] = Tensor
  w34 : Tensor
  w35 : Tensor
  w36 : Tensor
  w37 : Tensor
  w38 : Tensor
  w39 : Tensor
  __annotations__["model->bert->encoder->layer->2->attention->output->LayerNorm->weight"] = Tensor
  w41 : Tensor
  w42 : Tensor
  w43 : Tensor
  w44 : Tensor
  w45 : Tensor
  w46 : Tensor
  __annotations__["model->bert->encoder->layer->2->output->LayerNorm->weight"] = Tensor
  w48 : Tensor
  w49 : Tensor
  w50 : Tensor
  w51 : Tensor
  w52 : Tensor
  w53 : Tensor
  __annotations__["model->bert->encoder->layer->3->attention->output->LayerNorm->weight"] = Tensor
  w55 : Tensor
  w56 : Tensor
  w57 : Tensor
  w58 : Tensor
  w59 : Tensor
  w60 : Tensor
  __annotations__["model->bert->encoder->layer->3->output->LayerNorm->weight"] = Tensor
  w62 : Tensor
  w63 : Tensor
  w64 : Tensor
  w65 : Tensor
  w66 : Tensor
  w67 : Tensor
  __annotations__["model->bert->encoder->layer->4->attention->output->LayerNorm->weight"] = Tensor
  w69 : Tensor
  w70 : Tensor
  w71 : Tensor
  w72 : Tensor
  w73 : Tensor
  w74 : Tensor
  __annotations__["model->bert->encoder->layer->4->output->LayerNorm->weight"] = Tensor
  w76 : Tensor
  w77 : Tensor
  w78 : Tensor
  w79 : Tensor
  w80 : Tensor
  w81 : Tensor
  __annotations__["model->bert->embeddings->position_embeddings->weight"] = Tensor
  w83 : Tensor
  __annotations__["model->bert->embeddings->token_type_embeddings->weight"] = Tensor
  __annotations__["model->bert->embeddings->word_embeddings->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->0->attention->self->query->bias"] = Tensor
  w87 : Tensor
  __annotations__["model->bert->encoder->layer->0->attention->self->key->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->0->attention->output->dense->weight"] = Tensor
  w90 : Tensor
  __annotations__["model->bert->encoder->layer->0->attention->self->value->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->0->attention->self->value->weight"] = Tensor
  w93 : Tensor
  w94 : Tensor
  w95 : Tensor
  w96 : Tensor
  w97 : Tensor
  w98 : Tensor
  __annotations__["model->bert->encoder->layer->0->attention->output->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->0->attention->self->key->weight"] = Tensor
  w101 : Tensor
  __annotations__["model->bert->encoder->layer->0->attention->output->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->0->attention->self->query->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->0->output->dense->bias"] = Tensor
  w105 : Tensor
  __annotations__["model->bert->encoder->layer->0->output->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->0->output->dense->weight"] = Tensor
  w108 : Tensor
  __annotations__["model->bert->encoder->layer->0->intermediate->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->0->intermediate->dense->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->1->attention->self->query->bias"] = Tensor
  w112 : Tensor
  __annotations__["model->bert->encoder->layer->1->attention->self->key->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->1->attention->output->dense->weight"] = Tensor
  w115 : Tensor
  __annotations__["model->bert->encoder->layer->1->attention->self->value->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->1->attention->self->value->weight"] = Tensor
  w118 : Tensor
  w119 : Tensor
  w120 : Tensor
  __annotations__["model->bert->encoder->layer->1->attention->output->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->1->attention->self->key->weight"] = Tensor
  w123 : Tensor
  __annotations__["model->bert->encoder->layer->1->attention->output->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->1->attention->self->query->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->1->output->dense->bias"] = Tensor
  w127 : Tensor
  __annotations__["model->bert->encoder->layer->1->output->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->1->output->dense->weight"] = Tensor
  w130 : Tensor
  __annotations__["model->bert->encoder->layer->1->intermediate->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->1->intermediate->dense->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->2->attention->self->query->bias"] = Tensor
  w134 : Tensor
  __annotations__["model->bert->encoder->layer->2->attention->self->key->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->2->attention->output->dense->weight"] = Tensor
  w137 : Tensor
  __annotations__["model->bert->encoder->layer->2->attention->self->value->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->2->attention->self->value->weight"] = Tensor
  w140 : Tensor
  w141 : Tensor
  w142 : Tensor
  __annotations__["model->bert->encoder->layer->2->attention->output->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->2->attention->self->key->weight"] = Tensor
  w145 : Tensor
  __annotations__["model->bert->encoder->layer->2->attention->output->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->2->attention->self->query->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->2->output->dense->bias"] = Tensor
  w149 : Tensor
  __annotations__["model->bert->encoder->layer->2->output->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->2->output->dense->weight"] = Tensor
  w152 : Tensor
  __annotations__["model->bert->encoder->layer->2->intermediate->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->2->intermediate->dense->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->3->attention->self->query->bias"] = Tensor
  w156 : Tensor
  __annotations__["model->bert->encoder->layer->3->attention->self->key->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->3->attention->output->dense->weight"] = Tensor
  w159 : Tensor
  __annotations__["model->bert->encoder->layer->3->attention->self->value->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->3->attention->self->value->weight"] = Tensor
  w162 : Tensor
  w163 : Tensor
  w164 : Tensor
  __annotations__["model->bert->encoder->layer->3->attention->output->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->3->attention->self->key->weight"] = Tensor
  w167 : Tensor
  __annotations__["model->bert->encoder->layer->3->attention->output->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->3->attention->self->query->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->3->output->dense->bias"] = Tensor
  w171 : Tensor
  __annotations__["model->bert->encoder->layer->3->output->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->3->output->dense->weight"] = Tensor
  w174 : Tensor
  __annotations__["model->bert->encoder->layer->3->intermediate->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->3->intermediate->dense->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->4->attention->self->query->bias"] = Tensor
  w178 : Tensor
  __annotations__["model->bert->encoder->layer->4->attention->self->key->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->4->attention->output->dense->weight"] = Tensor
  w181 : Tensor
  __annotations__["model->bert->encoder->layer->4->attention->self->value->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->4->attention->self->value->weight"] = Tensor
  w184 : Tensor
  w185 : Tensor
  w186 : Tensor
  __annotations__["model->bert->encoder->layer->4->attention->output->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->4->attention->self->key->weight"] = Tensor
  w189 : Tensor
  __annotations__["model->bert->encoder->layer->4->attention->output->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->4->attention->self->query->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->4->output->dense->bias"] = Tensor
  w193 : Tensor
  __annotations__["model->bert->encoder->layer->4->output->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->4->output->dense->weight"] = Tensor
  w196 : Tensor
  __annotations__["model->bert->encoder->layer->4->intermediate->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->4->intermediate->dense->weight"] = Tensor
  __annotations__["model->bert->pooler->dense->bias"] = Tensor
  training : bool
  _is_full_backward_hook : Optional[bool]
